aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAUTOMATIC1111 <16777216c@gmail.com>2023-05-18 07:09:23 +0000
committerGitHub <noreply@github.com>2023-05-18 07:09:23 +0000
commit983f2c494ad8fed2f08193681ba0bf5dda01555a (patch)
treea77391f267a6776c8a27a5b38b23554e959a6a56
parentbb80eea9d4a668d2c86d6c399bb4c3a443fcf066 (diff)
parentaa6e98e43c2c91e7bf4f9039e382355a99e58db6 (diff)
downloadstable-diffusion-webui-gfx803-983f2c494ad8fed2f08193681ba0bf5dda01555a.tar.gz
stable-diffusion-webui-gfx803-983f2c494ad8fed2f08193681ba0bf5dda01555a.tar.bz2
stable-diffusion-webui-gfx803-983f2c494ad8fed2f08193681ba0bf5dda01555a.zip
Merge pull request #10499 from dongweiming/error-improvement
Error improvement for install torch
-rwxr-xr-xwebui.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/webui.sh b/webui.sh
index 19cf2f78..471df15b 100755
--- a/webui.sh
+++ b/webui.sh
@@ -94,6 +94,14 @@ else
printf "\n%s\n" "${delimiter}"
fi
+if [[ $(getconf LONG_BIT) = 32 ]]
+then
+ printf "\n%s\n" "${delimiter}"
+ printf "\e[1m\e[31mERROR: Unsupported Running on a 32bit OS\e[0m"
+ printf "\n%s\n" "${delimiter}"
+ exit 1
+fi
+
if [[ -d .git ]]
then
printf "\n%s\n" "${delimiter}"
@@ -119,8 +127,9 @@ esac
if echo "$gpu_info" | grep -q "AMD" && [[ -z "${TORCH_COMMAND}" ]]
then
# AMD users will still use torch 1.13 because 2.0 does not seem to work.
+
export TORCH_COMMAND="pip install torch==1.13.1+rocm5.2 torchvision==0.14.1+rocm5.2 --index-url https://download.pytorch.org/whl/rocm5.2"
-fi
+fi
for preq in "${GIT}" "${python_cmd}"
do